hoomd

module (bold = default) build dependencies
hoomd/1.0.5/b1 gcc 4.4.7 openmpi/1.6.5/b1 cuda/6.5 zlib/1.2.8/b1 cmake/3.0.2/b3 python/2.7.6 boost/1.58.0/b2 openmpi/1.6.5/b1 numpy/1.7.1/b1
hoomd/1.0.5/b2 gcc 4.4.7 cuda/6.5 zlib/1.2.8/b1 cmake/3.0.2/b3 python/2.7.6 boost/1.58.0/b2 numpy/1.7.1/b1
hoomd/1.1.1/b1 gcc 4.4.7 openmpi/1.6.5/b1 cuda/6.5 zlib/1.2.8/b1 cmake/3.0.2/b3 python/2.7.10 boost/1.58.0/b2 openmpi/1.6.5/b1
hoomd/1.3.3 gcc 4.4.7, cuda 7.5, openmpi/1.6.5/b1 cuda/7.5 python/2.7.10/b2 boost/1.59.0/b1 openmpi/1.6.5/b1
hoomd/2.0.0 gcc 4.9.3, cuda 7.5, openmpi 1.10.2 cuda/7.5 python/2.7.10/b2 boost/1.59.0/b1 openmpi/1.10.2/b3
hoomd/2016-06-22 gcc 4.9.3, cuda 7.5, openmpi 1.10.2 cuda/7.5 python/2.7.10/b2 boost/1.59.0/b1 openmpi/1.6.5/b1 gcc/4.9.3
hoomd/2016-07-06 gcc 4.9.3, cuda 7.5, openmpi 1.10.2 cuda/7.5 python/2.7.10/b2 boost/1.59.0/b1 openmpi/1.6.5/b1 gcc/4.9.3
hoomd/5.0.1/b1 gcc 4.4.7 openmpi/1.6.5/b1 cuda/6.5 zlib/1.2.8/b1 cmake/3.0.2/b3 python/2.7.6 boost/1.58.0/b2 openmpi/1.6.5/b1 numpy/1.7.1/b1
hoomd/5.0.1/b2 gcc 4.4.7 cuda/6.5 zlib/1.2.8/b1 cmake/3.0.2/b3 python/2.7.6 boost/1.58.0/b2 numpy/1.7.1/b1

also see Using Software.